package stamp.peripheral.sensor.GPS.Include;


public class NMEADefinitions
{
  // Those are the NMEA 0183 messages we're going to read from the IQ Lassen module
  public final static int OOO_MESSAGE = 0x0000;   // No data (Please see function "ParseNMEA_Message(...)")
  public final static int GGA_MESSAGE = 0x0001;   // GPS fix data
  public final static int GGL_MESSAGE = 0x0002;   // Geographic position - Latitude/Longitude
  public final static int GSA_MESSAGE = 0x0004;   // GPS DOP and active satellites
  public final static int GVS_MESSAGE = 0x0008;   // GPS satellites in view
  public final static int RMC_MESSAGE = 0x0010;   // Recommended minimum specific GPS/Transit data
  public final static int VTG_MESSAGE = 0x0020;   // Track made good and ground speed
  public final static int ZDA_MESSAGE = 0x0040;   // Time & Date
}