
package stamp.peripheral.sensor.GPS.NMEA;

import stamp.peripheral.sensor.GPS.Include.*;
import stamp.core.*;

public abstract class NMEABase extends GPSMessageItem
{
  protected boolean m_bIsValid;
  protected StringBuffer m_strTemp;

  public NMEABase()
  {
    // A temporary buffer used for storage while parsing messages
    m_strTemp = new StringBuffer(20);
  }
  protected void SetIsValid(boolean bIsValid){ m_bIsValid = bIsValid;};
  public boolean GetIsValid() { return m_bIsValid; };


  protected void Clear()
  {
    m_strTemp.clear();
    m_bIsValid = false;
  }

}